## libffi7 3.3

=== debian/changelog ===
libffi7 (3.3-5ubuntu1) hirsute; urgency=medium

  * Provide libffi7 runtime library for the 3rd party app
    compatiblity. LP: #1903890

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2021 13:34:22 +0000

libffi (3.3-5) unstable; urgency=medium

  * Bump standards and debhelper version.
  * Update mips64 symbols (Helmut Grohne). Closes: #960224.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Nov 2020 17:12:05 +0100

libffi (3.3-4) unstable; urgency=medium

  * Update powerpc sysv assembly for ffi_powerpc.h changes (#541).
    Closes: #951496.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 21:28:54 +0100

libffi (3.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Jan 2020 12:39:28 +0100

libffi (3.3-2.3) experimental; urgency=medium

  * Add one more fix for ppc64.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Jan 2020 11:29:35 +0100

libffi (3.3-2.2) experimental; urgency=medium

  * Fix the build on ppc64..

 -- Matthias Klose <doko@debian.org>  Fri, 29 Nov 2019 15:59:19 +0100

libffi (3.3-2.1) experimental; urgency=medium

  * Fix the build on powerpc.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Nov 2019 15:45:08 +0100

libffi (3.3-1) experimental; urgency=medium

  * libffi 3.3 release.
  * Don't use toolexeclibdir in the pkg-config file.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 11:54:12 +0100

libffi (3.3~rc1-1) experimental; urgency=medium

  * libffi 3.3 release candidate 1.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2019 13:59:17 +0200

libffi (3.3~rc0-8) experimental; urgency=medium

  * Updates from the trunk 20190508.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2019 16:32:47 +0200

libffi (3.3~rc0-7) experimental; urgency=medium

  * Updates from the trunk 20180924.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Sep 2018 13:31:19 +0200

libffi (3.3~rc0-6) experimental; urgency=medium

  * Updates from the trunk 20180512.

 -- Matthias Klose <doko@debian.org>  Sat, 12 May 2018 14:52:33 -0400

libffi (3.3~rc0-5) experimental; urgency=medium

  * Updates from the trunk 20180502.

 -- Matthias Klose <doko@debian.org>  Wed, 02 May 2018 17:27:56 +0200

libffi (3.3~rc0-3) experimental; urgency=medium

  * Updates from the trunk 20180425.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Apr 2018 16:17:27 +0200

libffi (3.3~rc0-2) experimental; urgency=medium

  * Add fix for issues #421, #422 (Andreas Krebbel).

 -- Matthias Klose <doko@debian.org>  Thu, 05 Apr 2018 21:01:40 +0200

libffi (3.3~rc0-1) experimental; urgency=medium

  * libffi 3.3 release candidate 0.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 16:37:49 +0200

libffi (3.3~20180313-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
    - Add RISC-V support. Closes: #892217.
  * Stop building the libffi-dbg package.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Mar 2018 14:36:40 +0100

libffi (3.3~20180131-2) experimental; urgency=medium

  * Fix symbols file for ia64.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2018 08:24:36 +0100

libffi (3.3~20180131-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2018 05:46:23 +0100

libffi (3.3~20180107-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
    - Includes mips r6 updates.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jan 2018 10:41:51 +0100

libffi (3.3~20171026-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 14:32:00 +0200

libffi (3.3~20171020-2) experimental; urgency=medium

  * Ignore setting nocheck on m68k, powerpcspe and sh4.
  * Update symbols file for sh4.
  * Fix issue #381, test failures on ARM32.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Oct 2017 09:59:58 +0200

libffi (3.3~20171020-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Oct 2017 09:22:07 +0200

libffi (3.3~20170512-2) experimental; urgency=medium

  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 15 May 2017 10:27:26 -0700

libffi (3.3~20170512-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Bump soname to 7.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:52:23 -0700

libffi (3.3~20160224-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Update more symbols files (WARNING: Removed missing symbols for now).

 -- Matthias Klose <doko@debian.org>  Wed, 24 Feb 2016 12:02:18 +0100

libffi (3.3~20160120-1) experimental; urgency=medium

  * Snapshot, taken from the trunk.
  * Update symbols files (WARNING: Removed missing symbols for now).

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jan 2016 23:39:34 +0100

libffi (3.2.1-4) unstable; urgency=medium

  * Fix CCASFLAGS. Closes: #787071.
  * Build using dh-autoreconf. Closes: #803039.
  * Configure with --enable-pax_emutramp. Closes: #751907.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 19:05:27 +0100

libffi (3.2.1-3) unstable; urgency=medium

  * Update symbols files.
  * Fix build failure on alpha.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jul 2015 12:54:12 +0200

libffi (3.2.1-2) experimental; urgency=medium

  * Fix an AArch64 issue, taken from upstream:
    For any 1-16 byte structure not passed in registers, we weren't copying
    from the object to be passed, but from the array of objects.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Feb 2015 04:04:10 +0100

libffi (3.2.1-1) experimental; urgency=medium

  * libffi 3.2.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Nov 2014 16:59:48 +0100

libffi (3.1-2) unstable; urgency=medium

  * Fix HAVE_LONG_DOUBLE_VARIANT conditional in the ffi.h header.
  * Fail the build if the testsuite doesn't pass. Closes: #597919.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2014 15:23:33 +0200


